#!/bin/bash

IFS=$'\n'

while read -sn1 key
do
 ord_value=$(printf '%d' "'$key")
 pressed_key="$ord_value"

 if [[ $ord_value -eq 27 ]]; then
  old_tty_settings=`stty -g`
  stty -icanon min 0 time 0
  read key
  if [[ ${#key} -gt 0 ]]; then
   for (( i=0;i<${#key};i+=1 ))
   do
    ord_value=$(printf '%d' "'${key:$i:1}")
    pressed_key="$pressed_key:$ord_value"
   done
  fi
  stty "$old_tty_settings"
 fi

 echo "$pressed_key"
done
