# Network setup routine by Ray Haque <ray@oddree.com>
echo "" > /dev/tty0
echo "-- NETWORK SETUP --" > /dev/tty0
echo "Join a wireless network? [y/n]" > /dev/tty0
read -s -n1 enablenet < /dev/tty0
case "$enablenet" in
        'y' | 'Y')
	echo "" > /dev/tty0
	echo "-- CHANGE WIFI SETTINGS? --" > /dev/tty0
	echo "Would you like to change the wireless" > /dev/tty0
	echo "settings that you used last? [y/n]" > /dev/tty0
	read -s -n1 scanfornetwork < /dev/tty0
	case "$scanfornetwork" in
	'y' | 'Y')
		echo "" > /dev/tty0
		# Run rkdavis's AP choosing routine.
		/mnt/sd0/bin/setup-wifi.sh
		# ... then return here
	;;
	*)
		# Start the daemon and optain an address.
		echo "" >/dev/tty0
		echo "Starting WPA Supplicant ..." > /dev/tty0
		/mnt/ffs/wpa_supplicant/wpa_supplicant -B -ieth0 -c /mnt/sd0/etc/wpa_supplicant.conf > /dev/tty0 
		echo "" >/dev/tty0
		echo "Obtaining an IP address ..." > /dev/tty0
		udhcpc -n > /dev/tty0
	;;
	esac
;;
esac


