#!/bin/sh

# Get the kernel version.  IZ2S is stock 2.6.21.1 kernel.
kernelver=`uname -a | cut -d " " -f 3`

# ALSA is not loaded by default on IZ2Se.  Load if needed.
if test ! -c /dev/snd/pcmC0D0p
then
	echo "Loading ALSA (sound) ..." > /dev/tty0
	/mnt/sd0/bin/setup-alsa.sh > /dev/tty0 < /dev/tty0 
fi

#either load the z2 mouse emulator, or run SDL with no mouse driver.
#setup-mouse.sh

# SDL does not like the sticky ALT key, so do without it for this.
loadkeys < /mnt/sd0/etc/links-keymap.map

Tell SDL to run pspmaps with skippy OSS driver
SDL_AUDIODRIVER=dsp SDL_NOMOUSE=1 SDL_VIDEO_FBCON_ROTATION="CCW" /mnt/sd0/bin/sdlBrt $*

# Tell SDL to run pspmaps with buffered sALSA driver
#SDL_AUDIODRIVER=alsa SDL_NOMOUSE=1 SDL_VIDEO_FBCON_ROTATION="CCW" /mnt/sd0/bin/sdlBrt $*

loadkeys < /mnt/sd0/etc/keymap.map
