#!/bin/sh

IFS=$NL

timezones='GMT+1     Paris         GMT+2     Athens
GMT+0     London        GMT+3     Riyadh
GMT-1     Azores        GMT+4     Tblisi
GMT-3     Brasilia      GMT+5     Islamabad
GMT-4     Caracas       GMT+5:30  India
GMT-5     NY            GMT+6     Almaty
GMT-6     Chicago       GMT+7     Bangkok
GMT-7     Denver        GMT+8     Hongkong
GMT-8     LA            GMT+9     Tokyo
GMT-9     Alaska        GMT+9:30  Darwin
GMT-10    Hawaii        GMT+10    Guam
GMT+12    Fiji          GMT+11    Vanuatu'

if [ ! -f /etc/TZ ] ; then
  echo ""
  echo "Timezone  Location      Timezone  Location"
  echo "--------  --------      --------  --------"
  echo "${timezones}"
  echo ""
  echo "What is your timezone? \\c"

  read zone
  if [ -n "$zone" ] ; then
      echo "$zone" > /etc/TZ
  fi
fi
