. /mnt/sd0/etc/brand.cfg
/mnt/sd0/bin/iwlist eth0 scan | /mnt/sd0/bin/grep 'ESSID' | /mnt/sd0/bin/sed -e 's/.*ESSID:"\([^"]\+\)".*/  \1/' > /tmp/ap_list.txt

dialog --nocancel --backtitle "$backtitle" --exit-label OK --title "Visible SSID" --textbox /tmp/ap_list.txt 8 30 

dialog --nocancel --ok-label "Submit" \
	  --backtitle "$backtitle" \
	  --title "SSID" \
	  --inputbox ""  8 30 2>/tmp/ssid.ans

dialog --nocancel --backtitle "$backtitle" \
         --title "Encryption Method" \
         --radiolist "" \
         8 30 3 \
         1 "WPA/WPA2" on \
         2 "WEP" off \
         3 "None" off 2>/tmp/encryption.ans


echo "ctrl_interface=/tmp/wpa_ctrl" > /mnt/sd0/etc/wpa_supplicant.conf

SSID=`cat /tmp/ssid.ans`
ENCRYPTION=`cat /tmp/encryption.ans`

case $ENCRYPTION in
	'1')
		dialog --nocancel --ok-label "Submit" \
       		--backtitle "$backtitle" \
              	--title "Passphrase" \
                --inputbox ""  8 30 2>/tmp/passphrase.ans
                PASSPHRASE=`cat /tmp/passphrase.ans`
                
                     	
	 	/mnt/sd0/bin/wpa_passphrase $SSID $PASSPHRASE | grep -v "^#" | grep -v "#psk=" >> /mnt/sd0/etc/wpa_supplicant.conf
	;;
	'2')
		 dialog --nocancel --ok-label "Submit" \
		 --backtitle "$backtitle" \
		 --title "Passphrase" \
		 --inputbox ""  8 30 2>/tmp/passphrase.ans
		 PASSPHRASE=`cat /tmp/passphrase.ans`
		                                                                 
		 echo "network={
		               ssid=\"$SSID\"
		               key_mgmt=NONE
		               wep_key0=\"$PASSPHRASE\"
		               }" >> /mnt/sd0/etc/wpa_supplicant.conf
	;;
	'3')
		echo "network={
		               ssid=\"$SSID\"
		               key_mgmt=NONE
		               }" >> /mnt/sd0/etc/wpa_supplicant.conf
	;;
esac

/mnt/ffs/wpa_supplicant/wpa_supplicant -B -ieth0 -c /mnt/sd0/etc/wpa_supplicant.conf
echo Obtaining an IP address ... > /dev/tty0
udhcpc -n | /mnt/sd0/bin/busybox tee /tmp/udhcpc.log > /dev/tty0
/mnt/sd0/bin/grep "No lease, failing" /tmp/udhcpc.log
nolease=$?
if [ $nolease -eq 0  ] ;  then
  	dialog --backtitle "$backtitle" --title "Wifi Error" --ok-label "Poweroff" --extra-button --extra-label "Reboot" --cancel-label "Continue" --yesno "" 0 0
  	
        case $? in
        3)
        	echo "Rebooting " > /dev/tty0
        	reboot
        	sleep 5
        ;;
        0)
   		echo "Powering off " > /dev/tty0
         	poweroff
         	sleep 5
        ;;
      	esac
else
	/mnt/sd0/bin/ntpdate 0.pool.ntp.org
fi
